(******************************************************************************)
(* command line scanner                                                       *)
(* (C) 2009 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Args;

TYPE
  TLitStr = ARRAY [0..255] OF CHAR;

  TSymbol = (
    symNull,
    symArg,
    symOpt,
    symEOA
  );
  TSymSet = SET OF TSymbol;

VAR
  cnt : CARDINAL;  (* number of real args (may be 0) *)
  idx : CARDINAL;  (* index of next symbol *)
  sym : TSymbol;
  lit : TLitStr;


PROCEDURE Reset();
PROCEDURE Read();

END Args.
