(******************************************************************************)
(* computer (stack machine)                                                   *)
(* (C) 2010 Steffen Solyga <solyga@absinth.net>                               *)
(******************************************************************************)
DEFINITION MODULE Comp;

FROM SYSTEM IMPORT BYTE;
IMPORT Comp0;

TYPE
  TAddress = Comp0.TAddress;

PROCEDURE Write( x: ARRAY OF BYTE );
PROCEDURE GetPos( VAR x: TAddress );
PROCEDURE SetPos( x: TAddress );
PROCEDURE Read( VAR x: ARRAY OF BYTE );

PROCEDURE Exec();
PROCEDURE List();

END Comp.
